What can be ingested
curl --request GET \
--url https://api.example.com/api/ingest/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/ingest/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/ingest/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/ingest/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/ingest/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/ingest/sources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/ingest/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"source_kinds": [
{
"kind": "file",
"label": "<string>",
"preview": true
}
],
"file_formats": [
{
"format": "csv",
"label": "<string>",
"preview": true,
"options": {}
}
],
"database_engines": [
{
"engine": "postgres",
"label": "<string>",
"default_port": 123,
"supported": true,
"note": "<string>"
}
],
"filter_ops": [
"eq"
],
"saas_connectors": [
{
"name": "<string>",
"display_name": "<string>",
"category": "<string>",
"description": "<string>",
"config_fields": [
{}
]
}
]
}Ingest pipelines
What can be ingested
Source kinds, file formats and their options, database engines, filter operators and SaaS connectors this backend supports.
GET
/
api
/
ingest
/
sources
What can be ingested
curl --request GET \
--url https://api.example.com/api/ingest/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/ingest/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/ingest/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/ingest/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/ingest/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/ingest/sources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/ingest/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"source_kinds": [
{
"kind": "file",
"label": "<string>",
"preview": true
}
],
"file_formats": [
{
"format": "csv",
"label": "<string>",
"preview": true,
"options": {}
}
],
"database_engines": [
{
"engine": "postgres",
"label": "<string>",
"default_port": 123,
"supported": true,
"note": "<string>"
}
],
"filter_ops": [
"eq"
],
"saas_connectors": [
{
"name": "<string>",
"display_name": "<string>",
"category": "<string>",
"description": "<string>",
"config_fields": [
{}
]
}
]
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
eq, ne, in, gt, gte, lt, lte, is_null, not_null Show child attributes
Show child attributes
Was this page helpful?

